Open MCP Portaldocs
ReferenceGateways and calls

Create a team gateway (team owners and admins)

POST/v1/teams/{team}/gateways

409 slug_taken when any gateway uses the slug. 409 team_archived.

Path Parameters

team*string

Team slug or ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/teams/string/gateways" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "support-tools",    "name": "Support tools",    "description": "string",    "ownerKind": "team",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "teamSlug": "string",    "teamName": "string",    "enabled": true,    "url": "https://mcp.example.com/mcp/support-tools",    "capabilityCount": 0,    "unavailableCount": 0,    "grantCount": 0,    "capturePayloads": true,    "rateLimitPerMinute": 0,    "effectiveRateLimitPerMinute": 0,    "revision": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}